Bug 102576 - Lucene search index lock files cause errors
Summary: Lucene search index lock files cause errors
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 108447
TreeView+ depends on / blocked
 
Reported: 2003-08-18 10:08 UTC by Daniel Berrange
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:21:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-08-18 10:08:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
Every so often we start receiving errors in the logs referring to lock files on
the Lucene search index:

2003-08-18 11:03:09,271 [ead-3] ERROR lucene.Indexer - java.io.IOException:
Index locked for write:
Lock@/var/ccm-devel/web/dan/aplaws/logs/lucene-index/write.lock


I believe this happens if you shutdown the server while the background indexer
thread is in the middle of updating the index. It happens most frequently in
development systems, but also sometimes on live servers. It always becomes
apparent immediately after starting a server.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Publish some content
2. Shutdown the server while the index is updating (rather tricky to schedule!)
3. Start up the server
    

Actual Results:  The following appears in the logs

2003-08-18 11:05:09,320 [ead-3] ERROR lucene.Indexer - java.io.IOException:
Index locked for write:
Lock@/var/ccm-devel/web/dan/aplaws/logs/lucene-index/write.lock


Expected Results:  No errors appear

Additional info:

We can probably solve this by simply removing the file:

/var/ccm-devel/web/dan/aplaws/logs/lucene-index/write.lock

upon server startup, however, we need to investigate whether there are any
integrity issues with the index that could be caused by shutting down while the
index it being updated.

Comment 1 Daniel Berrange 2006-09-02 17:21:50 UTC
Closing old tickets


Note You need to log in before you can comment on or make changes to this bug.